Page MenuHomePhabricator

Account creation: social media landing pages
Closed, ResolvedPublic

Assigned To
Authored By
MMiller_WMF
Mar 15 2022, 12:22 AM

Description

In T302738, we making a proof-of-concept landing page containing a video. This task is for making the landing pages that will be used in production with the social media campaign, each of which will contain a video.

Type of requested assets: Video and text
Format of assets: WebM (or another acceptable Commons file format) and text
How will the assets be delivered: Commons and Google Docs
List of landing pages needed: 2. One is a copy of the current page, meant to be a control. The other will have custom content, including a video that we'll provide. Here are the desired URL parameters:

  • Treatment: campaign=social-latam-2022-A
  • Control: campaign=social-latam-2022-B

Campaign date: Week of 18 April
Deadline date for providing assets (we will need at least a couple of weeks for testing and making changes): Week of 4 April
Name of final approver of the campaign materials: @EdErhart-WMF
In what language will the copy be written? Spanish, with English copy for testing as needed - English text will be finalized 18 March
Include standard data disclaimer? Yes.

  • English: "By creating your account on this page, it will be associated with this campaign for experience and analysis purposes."
  • Spanish: "Al crear tu cuenta en esta página, será asociada a esta campaña con fines relacionados con la experiencia y el análisis."

The finalized text for the landing page ON DESKTOP is:

Personas como tú son las que construyen Wikipedia.

280.000 editores y editoras se presentan cada mes como voluntarios — ¿Te unes a ellos?

Sabemos que hacer tu primera edición suele ser intimidante, pero en realidad es bastante fácil. Pregúntaselo a nuestros dedicados editores y editoras, quienes te lo cuentan en este video:

The finalized text for the landing page ON MOBILE is:

Miles de personas como tú son las que construyen Wikipedia. ¿Te unes a ellas?

Este es un mensaje de nuestros editores y editoras para ti:

(note that this should all be in the "paragraph" format, i.e. the first line is not a bold header)

Will the copy need to be translated by volunteers? If yes, to what languages? No, we are handling the translations ourselves to avoid overburdening volunteer translators.

Link to final video

[https://commons.wikimedia.org/wiki/File:Wikimedia_Foundation_newcomer_experience_pilot_-_account_creation.webm]

Other specifications

  • Both the treatment and control landing pages should have ge-enabled=1, so that all the accounts coming through them get the Growth features.
  • Unlike previous landing pages we have made for campaigns, this landing page should bring people to the welcome survey, as opposed to going directly to the newcomer homepage. That's because we are simultaneously running the welcome email campaign, and we want the users from the social media campaign to also be able to sign up for welcome emails.

Test URLs:

TypeDeviceBeta URLTest URLProd URL
videodesktoplinklinklink
videomobilelinklinklink
controldesktoplinklinklink
controlmobilelinklinklink

Details

ProjectBranchLines +/-Subject
mediawiki/extensions/GrowthExperimentsmaster+14 -5
mediawiki/extensions/GrowthExperimentsmaster+1 -2
mediawiki/extensions/GrowthExperimentswmf/1.39.0-wmf.9+37 -22
mediawiki/extensions/GrowthExperimentswmf/1.39.0-wmf.9+4 -3
mediawiki/extensions/GrowthExperimentsmaster+36 -22
mediawiki/extensions/GrowthExperimentswmf/1.39.0-wmf.9+14 -1
mediawiki/extensions/GrowthExperimentsmaster+14 -1
mediawiki/extensions/GrowthExperimentsmaster+4 -3
mediawiki/extensions/GrowthExperimentsmaster+1 -1
operations/mediawiki-configmaster+1 -0
mediawiki/extensions/GrowthExperimentswmf/1.39.0-wmf.8+14 -47
mediawiki/extensions/GrowthExperimentswmf/1.39.0-wmf.8+48 -15
mediawiki/extensions/GrowthExperimentsmaster+43 -10
mediawiki/extensions/GrowthExperimentsmaster+2 -2
operations/mediawiki-configmaster+2 -2
mediawiki/extensions/GrowthExperimentsmaster+3 -3
operations/mediawiki-configmaster+1 -1
operations/mediawiki-configmaster+3 -0
operations/mediawiki-configmaster+1 -1
mediawiki/extensions/GrowthExperimentsmaster+15 -2
mediawiki/extensions/GrowthExperimentsmaster+17 -15
Show related patches Customize query in gerrit

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Mentioned in SAL (#wikimedia-operations) [2022-04-19T20:10:45Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: f55f817: Add video marketing campaign to $wgGECampaignPattern (T303785) (duration: 00m 54s)

eswiki campaign URL: https://es.wikipedia.org/w/index.php?title=Special:CreateAccount&campaign=facebook-latam-2022-A&geNewLandingHtml=1&geEnabled=1
eswiki control group URL: https://es.wikipedia.org/w/index.php?title=Special:CreateAccount&campaign=facebook-latam-2022-B&geEnabled=1
They will go live on Thursday with the train deploy.

Beta eswiki apparently has account creation disabled, so I'll need to set up the campaign on some other beta wiki.

Change 784730 had a related patch set uploaded (by Gergő Tisza; author: Gergő Tisza):

[operations/mediawiki-config@master] [beta] Enable Growth campaigns on all beta wikis

https://gerrit.wikimedia.org/r/784730

Change 784730 merged by jenkins-bot:

[operations/mediawiki-config@master] [beta] Enable Growth campaigns on all beta wikis

https://gerrit.wikimedia.org/r/784730

Change 784740 had a related patch set uploaded (by Gergő Tisza; author: Gergő Tisza):

[mediawiki/extensions/GrowthExperiments@master] Video landing page: Update copy and layout

https://gerrit.wikimedia.org/r/784740

Change 784745 had a related patch set uploaded (by Gergő Tisza; author: Gergő Tisza):

[operations/mediawiki-config@master] [beta] Update $wgGECampaignPattern

https://gerrit.wikimedia.org/r/784745

Change 784745 merged by jenkins-bot:

[operations/mediawiki-config@master] [beta] Update $wgGECampaignPattern

https://gerrit.wikimedia.org/r/784745

Change 784740 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Video landing page: Update copy and layout

https://gerrit.wikimedia.org/r/784740

Change 785244 had a related patch set uploaded (by Gergő Tisza; author: Gergő Tisza):

[mediawiki/extensions/GrowthExperiments@master] [WIP] Add a legal notice to campaign landing pages

https://gerrit.wikimedia.org/r/785244

Change 785245 had a related patch set uploaded (by Gergő Tisza; author: Gergő Tisza):

[operations/mediawiki-config@master] GrowthExperiments: Do not use 'facebook' in campaign pattern

https://gerrit.wikimedia.org/r/785245

@Tgr -- I updated the task description:

  • Changing the URL parameters from being like facebook-latam-2022-A to be like social-latam-2022-A. This is to prevent anyone from mistaking that "facebook" in the URL means that their login data is being transferred to Facebook in any way. Their login data will not be transferred to Facebook.
  • Added that the page should include our data disclaimer, which is still being finalized.

Another layout option for the disclaimer:

dev.wiki.local.wmftest.net_22100_w_index.php_title=Special_CreateAccount&campaign=facebook-latam-2022-A&geNewLandingHtml=1&geEnabled=1&mobileaction=toggle_view_mobile(Pixel 5).png (3×1 px, 772 KB)
dev.wiki.local.wmftest.net_22100_w_index.php_title=Special_CreateAccount&campaign=facebook-latam-2022-A&geNewLandingHtml=1&geEnabled=1 (1).png (948×1 px, 261 KB)

Another layout option for the disclaimer:

dev.wiki.local.wmftest.net_22100_w_index.php_title=Special_CreateAccount&campaign=facebook-latam-2022-A&geNewLandingHtml=1&geEnabled=1&mobileaction=toggle_view_mobile(Pixel 5).png (3×1 px, 772 KB)
dev.wiki.local.wmftest.net_22100_w_index.php_title=Special_CreateAccount&campaign=facebook-latam-2022-A&geNewLandingHtml=1&geEnabled=1 (1).png (948×1 px, 261 KB)

I prefer this one

Change 785245 merged by jenkins-bot:

[operations/mediawiki-config@master] GrowthExperiments: Do not use 'facebook' in campaign pattern

https://gerrit.wikimedia.org/r/785245

Mentioned in SAL (#wikimedia-operations) [2022-04-25T13:04:36Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 0338c9bb9ff6ad388270d1e2df5013d8a49d1210: GrowthExperiments: Do not use facebook in campaign pattern (T303785) (duration: 00m 51s)

I just added the text of the standard disclaimer to the task description, in both English and Spanish.

Change 785881 had a related patch set uploaded (by MewOphaswongse; author: MewOphaswongse):

[mediawiki/extensions/GrowthExperiments@master] Account creation: update campaign value in isMarketingVideoCampaign

https://gerrit.wikimedia.org/r/785881

Change 785881 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Account creation: update campaign value in isMarketingVideoCampaign

https://gerrit.wikimedia.org/r/785881

Change 785244 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Add a legal notice to campaign landing pages

https://gerrit.wikimedia.org/r/785244

Change 785950 had a related patch set uploaded (by Gergő Tisza; author: Gergő Tisza):

[mediawiki/extensions/GrowthExperiments@wmf/1.39.0-wmf.8] Backport video landing page changes

https://gerrit.wikimedia.org/r/785950

Change 785950 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@wmf/1.39.0-wmf.8] Backport video landing page changes

https://gerrit.wikimedia.org/r/785950

Change 785938 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[mediawiki/extensions/GrowthExperiments@wmf/1.39.0-wmf.8] Revert "Backport video landing page changes"

https://gerrit.wikimedia.org/r/785938

Change 785938 merged by Urbanecm:

[mediawiki/extensions/GrowthExperiments@wmf/1.39.0-wmf.8] Revert "Backport video landing page changes"

https://gerrit.wikimedia.org/r/785938

The latest version is live on production eswiki now.

Etonkovidova added a subscriber: Etonkovidova.

Checked with https://es.wikipedia.org/w/index.php?title=Especial:Crear_una_cuenta&campaign=social-latam-2022-A&geNewLandingHtml=1&geEnabled=1

from @Tgr's commentfrom production
dev.wiki.local.wmftest.net_22100_w_index.php_title=Special_CreateAccount&campaign=facebook-latam-2022-A&geNewLandingHtml=1&geEnabled=1 (1).png (948×1 px, 261 KB)
Screen Shot 2022-04-26 at 4.53.52 PM.png (1×1 px, 652 KB)
mobile from @Tgr's commentmobile from production
dev.wiki.local.wmftest.net_22100_w_index.php_title=Special_CreateAccount&campaign=facebook-latam-2022-A&geNewLandingHtml=1&geEnabled=1&mobileaction=toggle_view_mobile(Pixel 5).png (3×1 px, 772 KB)
the video doesn't play in the same screen "Reproducir contenido multimedia" link opens in a different window
Screen Shot 2022-04-26 at 6.08.52 PM.png (1×580 px, 334 KB)

The difference is probably from group2 wikis still using the legacy video player.

Change 786976 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[operations/mediawiki-config@master] Enable videojs in eswiki

https://gerrit.wikimedia.org/r/786976

Change 786976 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable videojs in eswiki

https://gerrit.wikimedia.org/r/786976

Mentioned in SAL (#wikimedia-operations) [2022-04-27T14:43:34Z] <ladsgroup@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:786976|Enable videojs in eswiki (T303785 T248418)]] (duration: 00m 51s)

@Ladsgroup enabled VideoJS on eswiki (thanks!), that should fix the video issues on mobile. If it needs to be disabled for some reason, we can enable it for the signup page only via CommonSettings.php; that would probably take the form of an URL-based title check against Special:CreateAccount, similar to this code block.

Checked in eswiki production (and in beta cluster) - works as expected now.

Screen Shot 2022-04-27 at 11.59.17 AM.png (1×690 px, 380 KB)

Change 787426 had a related patch set uploaded (by Gergő Tisza; author: Gergő Tisza):

[mediawiki/extensions/GrowthExperiments@master] Video landing page: Update file name

https://gerrit.wikimedia.org/r/787426

Change 787426 abandoned by Gergő Tisza:

[mediawiki/extensions/GrowthExperiments@master] Video landing page: Update file name

Reason:

Seems to work fine using the old filename (which is a redirect now)

https://gerrit.wikimedia.org/r/787426

Change 787525 had a related patch set uploaded (by Gergő Tisza; author: Gergő Tisza):

[mediawiki/extensions/GrowthExperiments@master] Video landing page: Don't show campaign body text on mobile

https://gerrit.wikimedia.org/r/787525

Change 787525 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Video landing page: Don't show campaign body text on mobile

https://gerrit.wikimedia.org/r/787525

Change 787459 had a related patch set uploaded (by Gergő Tisza; author: Gergő Tisza):

[mediawiki/extensions/GrowthExperiments@wmf/1.39.0-wmf.9] Video landing page: Don't show campaign body text on mobile

https://gerrit.wikimedia.org/r/787459

Change 787553 had a related patch set uploaded (by Gergő Tisza; author: Gergő Tisza):

[mediawiki/extensions/GrowthExperiments@master] Video landing page: Record campaign parameter for control users

https://gerrit.wikimedia.org/r/787553

Change 787461 had a related patch set uploaded (by Gergő Tisza; author: Gergő Tisza):

[mediawiki/extensions/GrowthExperiments@wmf/1.39.0-wmf.9] Video landing page: Record campaign parameter for control users

https://gerrit.wikimedia.org/r/787461

Change 787553 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Video landing page: Record campaign parameter for control users

https://gerrit.wikimedia.org/r/787553

Change 787461 merged by Gergő Tisza:

[mediawiki/extensions/GrowthExperiments@wmf/1.39.0-wmf.9] Video landing page: Record campaign parameter for control users

https://gerrit.wikimedia.org/r/787461

Mentioned in SAL (#wikimedia-operations) [2022-04-28T21:26:51Z] <tgr@deploy1002> Synchronized php-1.39.0-wmf.9/extensions/GrowthExperiments/includes/VariantHooks.php: Backport: [[gerrit:787461|Video landing page: Record campaign parameter for control users (T303785)]] (duration: 00m 54s)

@Tgr -- I have added the finalized mobile text to the task description, and put it under a different header than the desktop text. Could you please post what this looks like in your dev environment so that Marketing can approve before we backport?

Change 788362 had a related patch set uploaded (by Gergő Tisza; author: Gergő Tisza):

[mediawiki/extensions/GrowthExperiments@master] Video landing page: Show different title/body text on mobile

https://gerrit.wikimedia.org/r/788362

With the patch above:

desktopmobile
English
dev.wiki.local.wmftest.net_22100_w_index.php_title=Special_CreateAccount&campaign=social-latam-2022-A&geNewLandingHtml=1&geEnabled=1.png (948×1 px, 269 KB)
dev.wiki.local.wmftest.net_22100_w_index.php_title=Special_CreateAccount&campaign=social-latam-2022-A&geNewLandingHtml=1&geEnabled=1(Pixel 5).png (2×1 px, 667 KB)
Spanish
dev.wiki.local.wmftest.net_22100_w_index.php_title=Special_CreateAccount&campaign=social-latam-2022-A&geNewLandingHtml=1&geEnabled=1&uselang=es.png (948×1 px, 284 KB)
dev.wiki.local.wmftest.net_22100_w_index.php_title=Special_CreateAccount&campaign=social-latam-2022-A&geNewLandingHtml=1&geEnabled=1&uselang=es(Pixel 5).png (2×1 px, 676 KB)

Change 788362 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Video landing page: Show different title/body text on mobile

https://gerrit.wikimedia.org/r/788362

Change 788336 had a related patch set uploaded (by Gergő Tisza; author: Gergő Tisza):

[mediawiki/extensions/GrowthExperiments@wmf/1.39.0-wmf.9] Video landing page: Show different title/body text on mobile

https://gerrit.wikimedia.org/r/788336

Change 787459 abandoned by Gergő Tisza:

[mediawiki/extensions/GrowthExperiments@wmf/1.39.0-wmf.9] Video landing page: Don't show campaign body text on mobile

Reason:

will squash it into the I2db72c4dbafab0550f96367c852448c7bdd324c9 backport, to avoid conflicts.

https://gerrit.wikimedia.org/r/787459

Change 788336 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@wmf/1.39.0-wmf.9] Video landing page: Show different title/body text on mobile

https://gerrit.wikimedia.org/r/788336

Mentioned in SAL (#wikimedia-operations) [2022-05-02T20:38:01Z] <catrope@deploy1002> Started scap: Backport: [[gerrit:788338|[TOC] Remove pointer-events:none on .sidebar-toc-link (T307271)]] and [[gerrit:788336|Video landing page: Show different title/body text on mobile (T303785)]]

Mentioned in SAL (#wikimedia-operations) [2022-05-02T20:49:46Z] <catrope@deploy1002> Finished scap: Backport: [[gerrit:788338|[TOC] Remove pointer-events:none on .sidebar-toc-link (T307271)]] and [[gerrit:788336|Video landing page: Show different title/body text on mobile (T303785)]] (duration: 11m 45s)

Change 788430 had a related patch set uploaded (by Gergő Tisza; author: Gergő Tisza):

[mediawiki/extensions/GrowthExperiments@master] Video landing page: Remove broken style

https://gerrit.wikimedia.org/r/788430

Change 788430 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Video landing page: Fix broken style & HTML structure

https://gerrit.wikimedia.org/r/788430

Change 791640 had a related patch set uploaded (by MewOphaswongse; author: MewOphaswongse):

[mediawiki/extensions/GrowthExperiments@master] Account creation: show legal footer for control group

https://gerrit.wikimedia.org/r/791640

Thx, @Tgr for testing guidelines. Please review the notes below - some of them most likely unrelated to the scope of this task.

Testing notes :

TypeDeviceBeta URLTest URLProd URL
videodesktoplinklinklink
videomobilelinklinklink
controldesktoplinklinklink
controlmobilelinklinklink
  • neither of five new accounts gets campaign=social-latam-2022-B
  • the landing page displays
TypeError: mw.uls.getBrowserLanguage is not a function
    at getSuggestedTargetLanguage 
    at load.php
    at entrypoints/ext.cx.uls.quick.actions.js

Thx, @Tgr for testing guidelines. Please review the notes below - some of them most likely unrelated to the scope of this task.

Testing notes :

TypeDeviceBeta URLTest URLProd URL
videodesktoplinklinklink
videomobilelinklinklink
controldesktoplinklinklink
controlmobilelinklinklink
  • neither of five new accounts gets campaign=social-latam-2022-B
  • the landing page displays
TypeError: mw.uls.getBrowserLanguage is not a function
    at getSuggestedTargetLanguage 
    at load.php
    at entrypoints/ext.cx.uls.quick.actions.js

We don't export the growthexperiments-campaign user property to the client-side, so you need to look in the database to see if the property is there. I verified experiment/control on eswiki beta just now:

>>> $userOptionsLookup = MediaWiki\MediaWikiServices::getInstance()->getUserOptionsLookup();
>>> $userOptionsLookup->getOption( User::newFromName( 'SocialLatam2' ), 'growthexperiments-campaign' );
=> "social-latam-2022-A"
>>> $userOptionsLookup->getOption( User::newFromName( 'SocialLatam' ), 'growthexperiments-campaign' );
=> "social-latam-2022-B"
  • neither of five new accounts gets campaign=social-latam-2022-B

As Kosta says some preferences were made server-side-only in T251994: Add hook that allows extensions to prevent preferences from getting exported to client-side. Sorry, I should have warned about that. You can still check with

new mw.Api().get( { action: 'query', meta: 'userinfo', uiprop: 'options' } ).then( data => console.log( data.query.userinfo.options['growthexperiments-campaign'] ) )
  • the landing page displays
TypeError: mw.uls.getBrowserLanguage is not a function
    at getSuggestedTargetLanguage 
    at load.php
    at entrypoints/ext.cx.uls.quick.actions.js

I can't see that being related to the campaign specifically, but it could be related to the welcome survey which makes use of ULS for language selection. Filed as T308557: mw.uls.getBrowserLanguage is not a function.

eswiki betalabs Especial:NewcomerTasksInfo shows 279 tasks that do not belong to any topics

That's just lack of setup on Beta. Added it to T307512: Add Growth tasks for beta eswiki.

https://gerrit.wikimedia.org/r/791640 - is not merged yet, is it a blocker?

I don't think so. We had several GLAM campaigns without the footer, one more week shouldn't matter much.

Change 791640 abandoned by MewOphaswongse:

[mediawiki/extensions/GrowthExperiments@master] Account creation: show legal footer for control group

Reason:

No longer needed since the legal footer will show up for campaigns configured via $wgGECampaigns

https://gerrit.wikimedia.org/r/791640

Thx, @kostajh and @Tgr! It seems that I misunderstood how users would be assigned to the control group. The users have to be created with &campaign=social-latam-2022-B.

  • neither of five new accounts gets campaign=social-latam-2022-B

As Kosta says some preferences were made server-side-only in T251994: Add hook that allows extensions to prevent preferences from getting exported to client-side. Sorry, I should have warned about that. You can still check with

new mw.Api().get( { action: 'query', meta: 'userinfo', uiprop: 'options' } ).then( data => console.log( data.query.userinfo.options['growthexperiments-campaign'] ) )

I was checking in betalabs db with

(eswiki)> select up_user, user_name,  up_value from user_properties join user on up_user=user_id  where up_value like 'social-latam-2022%';

Right now there are some users assigned to the control group:

---------+--------------+---------------------+
| up_user | user_name    | up_value            |
+---------+--------------+---------------------+
|    3419 | ETlatam02    | social-latam-2022-A |
|    3420 | ETlatam03    | social-latam-2022-A |
|    3421 | ETlatam04    | social-latam-2022-A |
|    3422 | ETlatam05    | social-latam-2022-A |
|    3428 | ETlatam06    | social-latam-2022-B |
|    3418 | ETlatam85 01 | social-latam-2022-A |
+---------+--------------+---------------------+

The js snippet will be helpful to verify in production.

@Tgr, @kostajh

controlmobilelinklinklink

I assume that Special:CreateAccount should not be different for the control group? Right now the "mw-createacct-benefits-container" for Special:CreateAccount&campaign=social-latam-2022-B is displayed at the top of the page.

testwiki Special:CreateAccount&campaign=social-latam-2022-Btestwiki Special:CreateAccount
Screen Shot 2022-05-17 at 5.36.31 PM.png (819×372 px, 70 KB)
Screen Shot 2022-05-17 at 5.39.51 PM.png (795×362 px, 76 KB)

I assume that Special:CreateAccount should not be different for the control group? Right now the "mw-createacct-benefits-container" for Special:CreateAccount&campaign=social-latam-2022-B is displayed at the top of the page.

Yeah, that's a bug, Minerva hides the benefit block and we unhide it, but we should only do that when we use a custom signup template. @mewoph also noticed it a few days ago, https://gerrit.wikimedia.org/r/c/mediawiki/extensions/GrowthExperiments/+/792697 will fix it.

I assume that Special:CreateAccount should not be different for the control group? Right now the "mw-createacct-benefits-container" for Special:CreateAccount&campaign=social-latam-2022-B is displayed at the top of the page.

Yeah, that's a bug, Minerva hides the benefit block and we unhide it, but we should only do that when we use a custom signup template. @mewoph also noticed it a few days ago, https://gerrit.wikimedia.org/r/c/mediawiki/extensions/GrowthExperiments/+/792697 will fix it.

Checked in beta - the page is displayed correctly now:

Screen Shot 2022-05-18 at 11.44.00 AM.png (1×716 px, 166 KB)

Checked on eswiki wmf.12 - no issues were found.